Bug 17900 - problem mounting a partition via it's label
problem mounting a partition via it's label
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
: 18263 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-09-26 20:09 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-09 18:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
installing error (760 bytes, text/html)
2001-07-11 04:35 EDT, cuongnv
no flags Details

  None (edit)
Description Need Real Name 2000-09-26 20:09:23 EDT
  Upon reboot, after doing a clean install of guinness (7.0), mount failed
to mount
a partition  in my fstab file.  mount attempts to mount the partition based
on it's
label, what appears to be RedHat's new method.  it appears that the label
redhat gives the partition is 1 character too long.

my comments begin with a ~
[root@zumpano dafra]# rpm -q mount
[root@zumpano dafra]# uname -a
Linux zumpano.fc.hp.com 2.2.16-22smp #1 SMP Tue Aug 22 16:39:21 EDT 2000
i686 unknown
[root@zumpano dafra]# /sbin/e2label /dev/sda6 
[root@zumpano dafra]# mount -L /var/spool/syste /var/spool/systemimager
mount: no such partition found
[root@zumpano dafra]# mount /dev/sda6 /var/spool/systemimager
[root@zumpano dafra]# umount /dev/sda6

~ok, so it mounts ok using the device name.  maybe the label is corrupted?
~let's try a different label

[root@zumpano dafra]# /sbin/e2label /dev/sda6 sysimg
[root@zumpano dafra]# mount -L sysimg /var/spool/systemimager

~success!  let's try the old label again.

[root@zumpano dafra]# /sbin/e2label /dev/sda6 /var/spool/syste        
[root@zumpano dafra]# umount /var/spool/systemimager
[root@zumpano dafra]# mount -L /var/spool/syste /var/spool/systemimager
mount: no such partition found

~boo!  what if it the label is one character shorter?

[root@zumpano dafra]# /sbin/e2label /dev/sda6 /var/spool/syst 
[root@zumpano dafra]# mount -L /var/spool/syst /var/spool/systemimager
[root@zumpano dafra]# 

--------end info------------------12

Comment 1 olivier kurzweg 2000-10-01 17:40:26 EDT
Same prob with me. I can't boot without changing the labels manually... to a 
shorter version. I'm wondering how this went unoticed through the beta tests 
(mounting /var/spool/mqueue on a separate partition is not that uncommon!).
Comment 2 Bernhard Rosenkraenzer 2000-10-01 18:08:58 EDT
Since ext2 doesn't support unlimited length labels, there's nothing we can do
about it in mount...
Assigning to anaconda so we can make sure we don't try to generate too long
Comment 3 Michael Fulbright 2000-10-04 18:17:59 EDT
*** Bug 18263 has been marked as a duplicate of this bug. ***
Comment 4 Brock Organ 2000-10-05 09:00:30 EDT
internal tests show label handling is done more gracefully ...

Here is an example fstab w/truncated labels:

LABEL=/                 /                       ext2    defaults        1 1     
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0     
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0     
LABEL=/mnt/thequickbr   /mnt/thequickbrownfoxjumped ext2    defaults        1 2 
LABEL=/mnt/thequickb1   /mnt/thequickbrownfoxjumpedoverthe ext2   
defaults        1 2
LABEL=/mnt/thequickb2   /mnt/thequickbrownfoxjumpedoverthebrassy ext2   
defaults        1 2
LABEL=/mnt/thequickb3   /mnt/thequickbrownfoxjumpedovertheclassy ext2   
defaults        1 2
LABEL=/mnt/thequickb4   /mnt/thequickbrownfoxjumpedoverthesnazzy ext2   
defaults        1 2
none                    /proc                   proc    defaults        0 0     
none                    /dev/pts                devpts  gid=5,mode=620  0 0     
/dev/hda5               swap                    swap    defaults        0
Comment 5 Brock Organ 2000-10-05 09:02:58 EDT
the testing above is referring to a proposed fix being tested internally ...
Comment 6 Erik Troan 2000-10-05 09:05:11 EDT
This is a bug in e2fsprogs and mount. New packages are in testing, and the
patches have been fed to the software maintainers. We're also working on an
install updates disk which will not use labels longer then 15 characters to help
workaround this problem for 7.0. These updates should be available soon. In the
meantime, changing the labels to be 15 characters with e2label and updating the
fstab will let your system operate properly.
Comment 7 olivier kurzweg 2000-10-05 09:17:48 EDT
It seems that the pratical limit is 14 characters instead of 15:
# e2label /dev/hda5 /var/spool/squid       ==> 15 characters-label
Edit /etc/fstab and put LABEL=/var/spool/squid     /var/spool/squid ....
# mount /var/spool/squid
mount: no such partition found

Now, let's try 14 characters instead
# e2label /dev/hda5 /var/spool/squi       ==> 14 characters-label
Edit /etc/fstab and put LABEL=/var/spool/squi     /var/spool/squid ....
# mount /var/spool/squid
#   ==> mount succeeded
Comment 8 Michael Fulbright 2000-10-09 18:10:21 EDT
Fixed in errata RHBA-2000:084-02.
Comment 9 cuongnv 2001-07-11 04:10:54 EDT
Traceback (innermost last):
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py",
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", 
line 1472, in doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", 
line 713, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 56227
fsystem: ext2
self: <fstab.GuiFstab instance at 8497fe8>
msg: Invalid argument
doFormat: 0
errno: 22
device: hda3
instPath: /mnt/sysimage
mntpoint: /boot

ToDo object:

Comment 10 cuongnv 2001-07-11 04:35:42 EDT
Created attachment 23267 [details]
installing error

Note You need to log in before you can comment on or make changes to this bug.